gdcm::Dumper Class Reference

Codec class. More...

`#include <gdcmDumper.h>`

Inheritance diagram for gdcm::Dumper:
[legend]
Collaboration diagram for gdcm::Dumper:
[legend]

## Public Member Functions

| Dumper ()
| ~Dumper ()=default
Public Member Functions inherited from gdcm::Printer
| Printer ()
| ~Printer ()=default
PrintStyles | GetPrintStyle () const
| Get PrintStyle value.
void | Print (std::ostream &os)
| Print.
void | PrintDataSet (const DataSet &ds, std::ostream &os, const std::string &s="")
| Print an individual dataset.
void | SetColor (bool c)
| Set color mode or not.
void | SetFile (File const &f)
| Set file.
void | SetStyle (PrintStyles ps)
| Set PrintStyle value.

## Additional Inherited Members

Public Types inherited from gdcm::Printer
enum | PrintStyles { VERBOSE_STYLE = 0 , CONDENSED_STYLE , XML , CXX }
Protected Member Functions inherited from gdcm::Printer
VR | PrintDataElement (std::ostringstream &os, const Dicts &dicts, const DataSet &ds, const DataElement &de, std::ostream &out, std::string const &indent)
void | PrintSQ (const SequenceOfItems *sqi, std::ostream &os, std::string const &indent)
Protected Attributes inherited from gdcm::Printer
const File * | F
VL | MaxPrintLength
PrintStyles | PrintStyle

## Detailed Description

Codec class.

Note
  Use it to simply dump value read from the file. No interpretation is done. But it is real fast ! Almost no overhead

## Constructor & Destructor Documentation

## Dumper()

gdcm::Dumper::Dumper | ( |  | ) |

inline

References gdcm::Printer::CONDENSED_STYLE, and gdcm::Printer::PrintStyle.

## ~Dumper()

gdcm::Dumper::~Dumper | ( |  | ) |

default

The documentation for this class was generated from the following file:

- gdcmDumper.h